Unit Unit1;

{$mode objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, DB, Forms, Controls, Graphics, Dialogs, ExtCtrls, DBGrids,
  StdCtrls, DBCtrls, ZConnection, ZDataset;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    btnPost: TButton;
    btnAdd: TButton;
    DBEdit1: TDBEdit;
    ds: TDataSource;
    grd: TDBGrid;
    lbAdd: TLabel;
    Panel1: TPanel;
    DB: TZConnection;
    q: TZQuery;
    Procedure btnAddClick(Sender: TObject);
    Procedure btnPostClick(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure GetBem(Sender: TField; var aText: string; DisplayText: Boolean);
  private
  public

  End;

Var
  Form1: TForm1;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.FormCreate(Sender: TObject);
Begin
  DB.Connect;
  q.SQL.Text := 'CREATE TABLE IF NOT EXISTS t1 (ID INTEGER NOT NULL PRIMARY KEY, Bem TEXT)';
  q.ExecSQL;
  q.SQL.Text := 'SELECT * FROM t1';
  q.Open;
  q.FieldByName('Bem').OnGetText := @GetBem;
  q.FieldByName('Bem').DisplayWidth := 70;
end;

Procedure TForm1.btnPostClick(Sender: TObject);
Begin
  If q.State In [dsEdit, dsInsert] Then
    q.Post;
end;

Procedure TForm1.btnAddClick(Sender: TObject);
Begin
  q.Append;
  q.FieldByName('Bem').AsString := lbAdd.Caption; //'{ "Induktvität [H]" : "0,0068", "R [Ω]"';
  q.Post;
end;

procedure TForm1.GetBem(Sender: TField; var aText: string; DisplayText: Boolean);
Begin
  aText := Sender.AsString;
End;

End.

